
/*
    Head's up viewer class

    An OpenSceneGraph viewer for pyVolution SWW files.
    copyright (C) 2004 Geoscience Australia
*/


#ifndef HUD_H
#define HUD_H

#include <project.h>
#include <osg/Projection>
#include <osgText/Font>
#include <osgText/Text>


class HeadsUpDisplay
{

public:

    HeadsUpDisplay();
    virtual void setTime(float t);
    virtual void setTitle(char *s);
    virtual void setRecordingMode(char *s);
    virtual osg::Projection* get(){ return _projection; }

protected:

    osg::Projection* _projection;
    osgText::Text* _title;
    osgText::Text* _time;
    osgText::Text* _record;
    virtual ~HeadsUpDisplay();

};

#endif  // HUD_H
